//
//  MatchTableDataSource.m
//  MusicWatch
//
//  Created by Julian Mayer on 26.08.10.
//  Copyright 2010 A. Julian Mayer. All rights reserved.
//

#import "MatchTableDataSource.h"


@implementation MatchTableDataSource

@synthesize matchAlbumArray;

- (void)awakeFromNib
{
	matchAlbumArray = [[NSMutableArray alloc] init];
}

- (int)numberOfRowsInTableView:(NSTableView *)tableView
{
	return [matchAlbumArray count];
}

- (id)tableView:(NSTableView *)tableView objectValueForTableColumn:(NSTableColumn *)tableColumn row:(int)row
{
	return [[matchAlbumArray objectAtIndex:row] valueForKey:@"name"];
}

@end
